Bug 700666 - f14 anaconda doesn't find lvm volumes for install / rescue mode
f14 anaconda doesn't find lvm volumes for install / rescue mode
Status: CLOSED DUPLICATE of bug 652318
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 18:24 EDT by Robert Story
Modified: 2011-05-03 17:00 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-03 17:00:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tarball of /tmp from anaconda via DVD (46.91 KB, application/x-gzip)
2011-04-29 11:06 EDT, Robert Story
no flags Details
tarball of /tmp from netboot rescue mode (28.44 KB, application/x-gzip)
2011-04-29 11:07 EDT, Robert Story
no flags Details
anaconda.log (6.08 KB, text/plain)
2011-05-03 15:39 EDT, Robert Story
no flags Details
syslog (89.79 KB, text/plain)
2011-05-03 15:40 EDT, Robert Story
no flags Details
storage.log (125.55 KB, text/plain)
2011-05-03 15:40 EDT, Robert Story
no flags Details
pogram.log (23.90 KB, text/plain)
2011-05-03 15:41 EDT, Robert Story
no flags Details

  None (edit)
Description Robert Story 2011-04-28 18:24:37 EDT
Description of problem:
I booted the F14 DVD to upgrade my f13 system. The installer does not present 'upgrade existing system as an option. If I forge ahead and select a custom install, my volume group is displayed, but without any of my existing logical volumes. Similarily, booting into rescue mode also insists that I don't have any existing linux partitions.

Version-Release number of selected component (if applicable):
whatever is on the F14 DVD

How reproducible:
Every time. DVD, netboot.iso, pxeboot. all fail.

Steps to Reproduce:
1. boot DVD
2. select 'custom install'
3. review disks
  
Actual results:
volume group with no logical volumes

Expected results:
volume group with logical volumes. install offers 'upgrade system'

Additional info:
switching over to vt-2, if I run lvm and then lvscan, it shows all my volumes, but as 'inactive'. If I activate them, go back from the storage screen and re-enter, they are not shown and back in vt-2 the lvm lvscan shows them inactive again.

on vt-3, I see (vg name is 'j'):
INFO storage: adding dm-* to singlepath_disks
....
INFO storage: devices to scan: ['dm-14', ..., 'sda2', 'sda1']
WARN storage: invalid data for sda2: 'LVM2_LV_NAME'
WARN storage: ignoring dm device 'j-f13root'
WARN storage: ignoring dm device 'j-f13var'
WARN storage: ignoring dm device 'j-f13swap'
Comment 1 Milan Broz 2011-04-28 18:46:28 EDT
Seems like anaconda problem...
Comment 2 Brian Lane 2011-04-28 19:10:56 EDT
Please attach the logs from /tmp/*log to this bug. Grab them after you get to the partitioning screen.

Also, what is in /etc/redhat-release?
Comment 3 Robert Story 2011-04-29 11:04:46 EDT
redhat release doesn't seem to exist in /etc/ or /mnt/runtime/etc when in anaconda. as for the exising f13 system, it's "Fedora release 13 (Goddard)".

attachments of /tmp/log from booting DVD and netbooting to rescue mode coming up.
Comment 4 Robert Story 2011-04-29 11:06:31 EDT
Created attachment 495794 [details]
tarball of /tmp from anaconda via DVD
Comment 5 Robert Story 2011-04-29 11:07:17 EDT
Created attachment 495795 [details]
tarball of /tmp from netboot rescue mode
Comment 6 Robert Story 2011-04-29 11:14:40 EDT
you can see in the anaconda storage log that it couldn't find the logical volumes in my vg 'j'.. I tried backing out of the storage screen, switching to vt-2, renaming my vg from 'j' to 'VolGroup', and going back to the storage screen... the storage log shows that it then found all my logical volumes, but they still didn't show up on the storage screen.. it showed VolGroup as empty...
Comment 7 Brian Lane 2011-05-03 13:46:35 EDT
Would you mind attaching the individual files? tarballs make it harder to read the logs. Thanks!
Comment 8 Robert Story 2011-05-03 15:39:52 EDT
Created attachment 496620 [details]
anaconda.log

attaching individual files, as requested
Comment 9 Robert Story 2011-05-03 15:40:20 EDT
Created attachment 496621 [details]
syslog

attaching individual files, as requested
Comment 10 Robert Story 2011-05-03 15:40:50 EDT
Created attachment 496622 [details]
storage.log

attaching individual files, as requested
Comment 11 Robert Story 2011-05-03 15:41:25 EDT
Created attachment 496623 [details]
pogram.log

attaching individual files, as requested
Comment 12 Brian Lane 2011-05-03 17:00:18 EDT
dupe, based on the 'ERR udevd-work: ressize 4096 too short' error in the syslog.

*** This bug has been marked as a duplicate of bug 652318 ***

Note You need to log in before you can comment on or make changes to this bug.